# IAlgebraVirtualPool

## Functions

### cross

`function cross(int24 nextTick, bool zeroToOne) external` external

*Developer note: This function is called by the main pool when an initialized tick is crossed there. If the tick is also initialized in a virtual pool it should be crossed too*

| Name      | Type  | Description      |
| --------- | ----- | ---------------- |
| nextTick  | int24 | The crossed tick |
| zeroToOne | bool  | The direction    |

### increaseCumulative

`function increaseCumulative(uint32 currentTimestamp) external returns (enum IAlgebraVirtualPool.Status)` external

*Developer note: This function is called from the main pool before every swap To increase seconds per liquidity cumulative considering previous timestamp and liquidity. The liquidity is stored in a virtual pool*

| Name             | Type   | Description                       |
| ---------------- | ------ | --------------------------------- |
| currentTimestamp | uint32 | The timestamp of the current swap |

**Returns:**

| Name | Type                            | Description                       |
| ---- | ------------------------------- | --------------------------------- |
| \[0] | enum IAlgebraVirtualPool.Status | Status The status of virtual pool |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9-directional-fees/v1.9-directional-fees-core/ialgebravirtualpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
